#!/usr/bin/env python

import sys
from pyraf import iraf
from iraf import noao
from iraf import digiphot
from iraf import apphot
from iraf import images

myimage='sample1.fits'

iraf.unlearn('apphot')
    
iraf.apphot.datapars.datamax=20000
iraf.apphot.datapars.readnoise=30
iraf.apphot.datapars.epadu=8
iraf.apphot.findpars.threshold=7
iraf.apphot.findpars.sharphi=0.8
iraf.apphot.daofind.interac='no'
iraf.apphot.daofind.verify='no'
iraf.apphot.datapars.fwhmpsf=3
iraf.apphot.centerpars.cbox=5
iraf.apphot.fitskypars.annulus=8
iraf.apphot.fitskypars.dannulus=5
iraf.apphot.photpars.apertures=5
iraf.apphot.phot.interactive='no'
iraf.apphot.phot.verify='no'
iraf.apphot.phot.verbose='no'
iraf.apphot.photpars.zmag=21

iraf.imstat.fields='midpt,stddev'
iraf.imstat.lower='-1000'
iraf.imstat.upper='20000'
iraf.imstat.nclip=10
iraf.imstat.lsigma=3
iraf.imstat.usigma=3
iraf.imstat.binwidth=0.1
iraf.imstat.format='yes'
iraf.imstat.cache='yes'    

out_imstat=iraf.imstat(myimage,Stdout=1)
med,stdev=out_imstat[1].split()

iraf.apphot.datapars.sigma=float(stdev)
iraf.apphot.datapars.datamin=float(med)-6*float(stdev)

iraf.daofind(myimage, output='my.coo')
iraf.phot(myimage, coords='my.coo',output='my.mag')
iraf.txdump('my.mag',fields='xc,yc,mag,merr',expr='cier==0 && sier==0 && pier==0',Stdout='my.xymag')






