#!/usr/bin/env python

import matplotlib.pyplot as plt

mag=[]
merr=[]
f=open('my.xymag')
for line in f:
    val=line[:-1].split()
    mag.append(float(val[2]))
    merr.append(float(val[3]))
f.close()

fig=plt.figure(facecolor='white', figsize=(10,10))

ax1=fig.add_subplot(211)
ax1.scatter(mag,merr)
ax1.set_xlim(9,16)
ax1.set_ylim(0,0.2)
ax1.set_xlabel('magnitude', fontsize=15)
ax1.set_ylabel('magerr', fontsize=15)
ax1.set_title('photometry')

ax2=fig.add_subplot(212)
ax2.hist(mag, range=(9,16), rwidth=1, color='red')
ax2.set_xlim(9,16)
ax2.set_ylabel('N', fontsize=15)

plt.show()
fig.savefig('mymag.pdf')


