#!/usr/bin/env python

import aplpy
import numpy

gc = aplpy.FITSFigure('fits/2MASS_k.fits', figsize=(10, 9))
gc.show_grayscale()

gc.tick_labels.set_font(size='small')

gc.show_contour('fits/mips_24micron.fits', colors='white')

data = numpy.loadtxt('data/yso_wcs_only.txt')
ra, dec = data[:, 0], data[:, 1]

gc.show_markers(ra, dec, layer='marker_set_1', edgecolor='red',
                facecolor='none', marker='o', s=10, alpha=0.5)

gc.save('myfirstplot.png')
